package com.liang.service;

import com.liang.entity.PrjPayplan;
import com.liang.entity.PrjPayplanXg;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

public interface PrjPayplanXgService {


        /**
         * 通过ID查询单条数据
         *
         * @param id 主键
         * @return 实例对象
         */
        PrjPayplanXg queryById(Integer id);

        /**
         * 分页查询
         *
         * @param prjPayplan  筛选条件
         * @param pageRequest 分页对象
         * @return 查询结果
         */
        Page<PrjPayplanXg> queryByPage(PrjPayplanXg prjPayplan, PageRequest pageRequest);

        /**
         * 新增数据
         *
         * @param prjPayplan 实例对象
         * @return 实例对象
         */
        int insert(PrjPayplanXg prjPayplan);

        /**
         * 修改数据
         *
         * @param prjPayplan 实例对象
         * @return 实例对象
         */
        int update(PrjPayplanXg prjPayplan);

        /**
         * 通过主键删除数据
         *
         * @param id 主键
         * @return 是否成功
         */
        boolean deleteById(Integer id);

        /**
         * 批量删除付款计划
         *
         * @param idList
         * @return
         */
        int batchDelete(List<Integer> idList);

        /**
         * 获取付款计划列表
         *
         * @return
         */
        List<PrjPayplanXg> getPayPlanList(Integer ht);

    int insertBatch(List<PrjPayplanXg> prjPayplanAddList);

    void deleteByHtId(Integer ht);
}
